
QGIS Application - Bug report #261

Assertion `ii != columnRelations.end()' failed

2006-09-08 11:30 AM - lisch -

Status: Closed

Priority: Low

Assignee: Gavin Macaulay -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: SuSE Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10320

Description

I am trying to add a [[PostGIS]] layer, but I get an assertion violation. I enabled QGISDEBUG and got the output (edited for space) shown

below. The layer query is just a reference to a view (no WHERE clause), and that view depends on other views, among them

"public.es_attendance". This view has a column, PROJ0, which is defined as SUM, where P is the table public.planning2006.

... 

 public.es_attendance.esproj2 <- public.planning2006.esproj2 is a 'r' of type numeric 

 ... 

 public.es_attendance.ksproj2 <- public.planning2006.ksproj2 is a 'r' of type numeric 

 ... 

 Searching for the column that public.es_utilization.proj0 refers to. 

 Searching for the column that public.es_attendance.proj0 refers to. 

 qgis: qgspostgresprovider.cpp:1328: void QgsPostgresProvider::findColumns(std::map<QString, QgsPostgresProvider::SRC,

std::less<QString>, std::allocator<std::pair<const QString, QgsPostgresProvider::SRC> > >&): Assertion @ii != columnRelations.end()'

failed. 

 Abort

History

#1 - 2006-09-08 02:05 PM - anonymous -

Does this problem still occur with later versions of qgis?

This bug has been reported before (#136), and was resolved by SVN commit:1d4d6377 (SVN r5573), which also changed the error message from that

reported above to something more informative.

Could you try loading your view with a 0.8 preview release because if the problem still occurs, the changes in commit:1d4d6377 (SVN r5573) will give more

clues as to what is going wrong.

#2 - 2006-09-27 02:15 AM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from Open to Closed

This problem will have gone in 0.8 versions of qgis. In conjunction with the fix for ticket #277, this problem is fixed.

#3 - 2009-08-22 12:46 AM - Anonymous
Milestone Version 0.8 deleted
